Page MenuHomePhabricator

'IP visibility' and 'Terms of use' information on termbox editing
Open, Needs TriagePublic

Description

As as user
I want to be informed about the way my the information I contribute is used
so that I can participate in the open data movement with confidence

Current termbox (v1) implemetatation, as well as other wikidata editing features, shows an overlay (in-page "popup") regarding 'IP visibility' (yellow) when editing without being logged in.
Editing forms for some other entity features (e.g. Statements) also show a popup regarding 'Terms of use'/License (white) when entering the edit mode.

From a brief chat with @Lydia_Pintscher I took away that these are hard requirements for a termbox use in production. Are there upcoming stories for this already, @Lea_WMDE

Note Neither of the two bubbles is blocking, i.e. the user never has to interact with them to perform a change

Related Objects

StatusAssignedTask
OpenNone
ResolvedHanna_Petruschat_WMDE
ResolvedMatthias_Geisler_WMDE
ResolvedMatthias_Geisler_WMDE
ResolvedPablo-WMDE
ResolvedJakob_WMDE
ResolvedNone
ResolvedPablo-WMDE
ResolvedPablo-WMDE
ResolvedJakob_WMDE
Resolved Lea_WMDE
ResolvedMatthias_Geisler_WMDE
ResolvedPablo-WMDE
ResolvedJakob_WMDE
ResolvedJakob_WMDE
ResolvedMatthias_Geisler_WMDE
ResolvedPablo-WMDE
ResolvedPablo-WMDE
ResolvedMatthias_Geisler_WMDE
ResolvedMatthias_Geisler_WMDE
ResolvedMatthias_Geisler_WMDE
Resolved Lea_WMDE
OpenJakob_WMDE
OpenPablo-WMDE
OpenJakob_WMDE
OpenJakob_WMDE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 25 2019, 2:05 PM
Addshore moved this task from incoming to in progress on the Wikidata board.Mar 25 2019, 3:59 PM
Pablo-WMDE updated the task description. (Show Details)Mar 27 2019, 1:33 PM

@Hanna_Petruschat_WMDE
Random observation: the wikipedia site link section has some in-component messaging about "terms of use" which could act as inspiration / guidance for consistency.

Pablo-WMDE updated the task description. (Show Details)Apr 18 2019, 2:05 PM
WMDE-leszek added a subscriber: WMDE-leszek.EditedApr 24 2019, 2:48 PM

Notes from the session 2019-04-24:

  • Desktop styling/appearance of the "popups" is to be defined in the separate story: T221779
  • Log in popup cannot be "clicked away" without making a decision
  • Log in/Sign up links open the relevant page in the same tab, after performing the action requested, the user comes back to item page they were on before
  • IP address popup: Remember my choice checkbox tracked separately as T221833
  • possible useful stat: number of clicks on the Cancel of the license
  • both logged in users and anon users should be presented with the CC0 information (unless already chosen to never show it)
  • Log in "window" shows up when clicked Edit button, the "license window" appears when clicking the publish button
  • persisting the state of choice: non-logged in users via "cookie", logged in users - state attached to the user account
  • links in the CC0 license popup shall open in the new tab. URLs opened should be in line with what the "old" desktop version of Wikibase uses

Estimate:
Log in pop up, mobile only, no persistence of the choice: 8
Persistence of the choice in the IP address/log in popup: 5